### Method

# Gio Socket set_multicast_ttl

since: 2.32

#### Declaration [src]

    void
    g_socket_set_multicast_ttl (
      GSocket* socket,
      guint ttl
    )

#### Description [src]

Sets the time-to-live for outgoing multicast datagrams on `socket`. By default, this is 1, meaning that multicast packets will not leave the local network.

Available since: 2.32

Sets property | `Gio.Socket:multicast-ttl`

#### Parameters

`ttl`

  Type: `guint`

  The time-to-live value for all multicast datagrams on `socket`.